Skip to main content
POST
Update a Vault memory only at the expected revision

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Headers

X-As-User
string | null

Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token

Path Parameters

resource_id
string
required

Body

application/json
expected_revision
string
required
Required string length: 1 - 128
text
default:{}

Full text of the document. If provided, the document will be re-indexed.

collection
default:{}
deprecated

The collection to move the document to — deprecated, set the collection using metadata instead.

title
default:{}

Title of the document.

date
default:{}

Date of the document for ranking and filtering.

metadata

Custom metadata for filtering. Keys must be alphanumeric with underscores, max 64 chars. Values must be string, number, boolean, or null. Will be merged with existing metadata.

share
default:{}

Change who can see this memory. Omit to leave sharing unchanged. personal makes it visible only to its user, removing it from everyone in the app if it was shared. shared shares it with everyone in the app, and is only accepted when the app allows direct sharing.

Available options:
personal,
shared

Response

Successful Response

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
imap,
google_meet,
box,
dropbox,
github,
gitlab,
google_drive,
vault,
web_crawler,
trace,
microsoft_outlook,
microsoft_teams,
granola,
fathom,
fireflies,
figma,
linear,
hubspot,
salesforce,
coda,
confluence,
jira,
metabase,
gong,
clickup,
lightfield,
pylon,
fellow,
odoo,
external_mcp,
page
resource_id
string
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed,
pending_review,
skipped,
filtered,
cancelled
revision
string | null

Opaque Vault write version for a subsequent conditional write.